#include <stdio.h>
#include <stdlib.h>

int main()
{
    int T, i=0, j=1, k=1, l=1, o=0, zbir=0;
    scanf("%d", &T);
    int brojUcenika[T], brojBananica[T], brojGrupa[T];
    for(i=0; i<T; i++)
        scanf("%d %d %d", &brojUcenika[i], &brojBananica[i], &brojGrupa[i]);
    for(i=0; i<T; i++){
        while(l!=0){
            while(k<=brojGrupa[i]){
                    zbir+=j;
                    k++;
                    o++;
                    if(o==brojUcenika[i]){
                        l=0;
                        break;
                    }
            }
            j++;
            k=1;
        }
        if(brojGrupa[i]>brojUcenika[i] || brojUcenika[i]>brojBananica[i] || brojGrupa[i]>brojBananica[i])
            printf("Nie\n");
        else if(brojGrupa[i]<brojUcenika[i] && brojUcenika[i]==brojBananica[i])
            printf("Nie\n");
        else if(zbir>brojBananica[i])
            printf("Nie\n");
        else
            printf("Tak\n");
    }
    return 0;
}